Skip to main content
POST
Add models to inference gateway provider group

Authorizations

x-api-key
string
header
required

Organization API key passed as the x-api-key header. The raw key is the header value; do not prefix it with Bearer.

Path Parameters

inferenceProviderId
string<typeid>
required

Den TypeID with 'ipr_' prefix and a 26-character base32 suffix.

Required string length: 30

Body

application/json
modelGroupId
string<typeid>
required

Den TypeID with 'gmg_' prefix and a 26-character base32 suffix.

Required string length: 30
modelIds
string[]
required
Required array length: 1 - 500 elements
Required string length: 1 - 255

Response

Add models to inference gateway provider group

inferenceProviderId
string<typeid>
required

Den TypeID with 'ipr_' prefix and a 26-character base32 suffix.

Required string length: 30
modelGroupId
string<typeid>
required

Den TypeID with 'gmg_' prefix and a 26-character base32 suffix.

Required string length: 30
modelIds
string[]
required
Maximum array length: 500
Required string length: 1 - 255
groupModelIds
string[]
required
Maximum array length: 500
Required string length: 1 - 255
addedModelIds
string[]
required
Maximum array length: 500
Required string length: 1 - 255